Contentful CLI
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Contentful CLI action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Run Contentful CLI",
"type": "CONTENTFUL_CLI",
"trigger_time": "ON_EVERY_EXECUTION",
"integration": {
"identifier": "contentful",
"type": "CONTENTFUL",
"scope": "WORKSPACE"
},
"environment": "master",
"execute_commands": [
"contentful space list"
],
"space": "Blank"
}'STATUS200 OK